node-browserslist (4.24.4+~cs6.3.22-1) unstable; urgency=medium

  * Team upload
  * Declare compliance with policy 4.7.2
  * New upstream version 4.24.4+~cs6.3.22
  * Bump minimum versions of caniuse-lite and electron-to-chromium
  * Drop one test for IE8 and IE9 no more listed in build dependencies

 -- Yadd <yadd@debian.org>  Mon, 03 Mar 2025 12:42:05 +0100

node-browserslist (4.24.4+~cs6.3.21-1) unstable; urgency=medium

  * Team upload
  * New upstream version 4.24.4+~cs6.3.21
  * Refresh patches
  * Bump minimum versions of caniuse-lite and electron-to-chromium

 -- Yadd <yadd@debian.org>  Thu, 09 Jan 2025 21:55:57 +0100

node-browserslist (4.23.0+~cs6.1.32-1) unstable; urgency=medium

  * Team upload
  * Declare compliance with policy 4.7.0
  * New upstream version 4.23.0+~cs6.1.32
  * Update patches
  * Bump minimum versions of caniuse-lite and electron-to-chromium

 -- Yadd <yadd@debian.org>  Fri, 17 May 2024 16:12:46 +0400

node-browserslist (4.22.1+~cs6.1.28-1) unstable; urgency=medium

  * Team upload
  * New upstream version 4.22.1+~cs6.1.28 (updates node-releases from 2.0.13
    to 2.0.14)

 -- Yadd <yadd@debian.org>  Fri, 22 Dec 2023 14:30:29 +0400

node-browserslist (4.22.1+~cs6.1.27-1) unstable; urgency=medium

  * Team upload
  * New upstream version 4.22.1+~cs6.1.27
  * Bump minimum versions of caniuse-lite and electron-to-chromium

 -- Ananthu C V <weepingclown@disroot.org>  Fri, 13 Oct 2023 15:09:34 +0530

node-browserslist (4.21.10+~cs6.1.25-2) unstable; urgency=medium

  * Team upload
  * Fix autopkgtest

 -- Yadd <yadd@debian.org>  Mon, 25 Sep 2023 10:04:13 +0400

node-browserslist (4.21.10+~cs6.1.25-1) unstable; urgency=medium

  * Team upload
  * Update standards version to 4.6.2, no changes needed
  * New upstream version 4.21.10+~cs6.1.25
  * Drop drop-tests.patch, now included in upstream
  * Update minimal versions of caniuse-lite and electron-to-chromium

 -- Yadd <yadd@debian.org>  Wed, 13 Sep 2023 07:38:40 +0400

node-browserslist (4.21.4+~cs6.1.17-2) unstable; urgency=medium

  [ Yadd ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 13 Dec 2022 12:51:21 +0000

node-browserslist (4.21.4+~cs6.1.17-1) unstable; urgency=medium

  * Team upload
  * New upstream version 4.21.4+~cs6.1.17
  * Drop test linked to a fixed version of node-electron-to-chromium

 -- Yadd <yadd@debian.org>  Sat, 29 Oct 2022 09:26:04 +0200

node-browserslist (4.21.4+~cs6.1.16-1) unstable; urgency=medium

  * Team upload
  * New upstream version 4.21.4+~cs6.1.16
  * Update minimal dependencies versions

 -- Yadd <yadd@debian.org>  Mon, 19 Sep 2022 16:28:49 +0200

node-browserslist (4.21.3+~cs6.1.12-1) unstable; urgency=medium

  * Team upload
  * New upstream version 4.21.3+~cs6.1.12
  * Update minimal dependencies versions

 -- Yadd <yadd@debian.org>  Thu, 28 Jul 2022 22:16:21 +0200

node-browserslist (4.21.2+~cs6.1.11-1) unstable; urgency=medium

  * Team upload
  * New upstream version 4.21.2+~cs6.1.11
  * Fix test (Closes: #1015038)

 -- Yadd <yadd@debian.org>  Sat, 16 Jul 2022 19:40:43 +0200

node-browserslist (4.21.1+~cs6.1.10-1) unstable; urgency=medium

  * Team upload
  * New upstream version 4.21.1+~cs6.1.10
  * Update minimal dependencies versions
  * Disable tests related to deprecated db

 -- Yadd <yadd@debian.org>  Mon, 04 Jul 2022 08:53:31 +0200

node-browserslist (4.21.0+~cs6.1.10-1) unstable; urgency=medium

  * Team upload
  * Embed update-browserslist-db
  * New upstream version 4.21.0+~cs6.1.10
  * Update minimal dependencies versions
  * Unfuzz patches
  * Update test
  * Update copyright

 -- Yadd <yadd@debian.org>  Sun, 26 Jun 2022 13:38:12 +0200

node-browserslist (4.20.4+~cs5.1.6-1) unstable; urgency=medium

  * Team upload
  * Declare compliance with policy 4.6.1
  * Update minimal dependencies (caniuse-lite and electron-to-chromium)
  * New upstream version 4.20.4+~cs5.1.6

 -- Yadd <yadd@debian.org>  Fri, 10 Jun 2022 14:04:18 +0200

node-browserslist (4.20.3+~cs5.1.5-1) unstable; urgency=medium

  * Team upload
  * New upstream version 4.20.3+~cs5.1.5
  * Update minimal dependencies (caniuse-lite and electron-to-chromium)

 -- Yadd <yadd@debian.org>  Sun, 01 May 2022 09:35:17 +0200

node-browserslist (4.20.2+~cs5.1.3-1) unstable; urgency=medium

  * Team upload
  * Fix WHAT-IS in manpage
  * New upstream version 4.20.2+~cs5.1.3
  * Update minimal dependencies (caniuse-lite and electron-to-chromium)

 -- Yadd <yadd@debian.org>  Sun, 20 Mar 2022 16:02:46 +0100

node-browserslist (4.20.0+~cs5.1.3-1) unstable; urgency=medium

  * Team upload
  * Don't warn if caniuse-db is old
  * New upstream version 4.20.0+~cs5.1.3
  * Update minimal version of node-caniuse-lite

 -- Yadd <yadd@debian.org>  Thu, 10 Mar 2022 10:01:30 +0100

node-browserslist (4.19.3+~cs5.1.3-1) unstable; urgency=medium

  * Team upload
  * New upstream version 4.19.3+~cs5.1.3
  * Add lintian-overrides

 -- Yadd <yadd@debian.org>  Tue, 22 Feb 2022 06:01:30 +0100

node-browserslist (4.19.1+repack+~cs5.1.2-2) unstable; urgency=medium

  * Team upload
  * Enable upstream test (uvu)

 -- Yadd <yadd@debian.org>  Mon, 14 Feb 2022 17:37:15 +0100

node-browserslist (4.19.1+repack+~cs5.1.2-1) unstable; urgency=medium

  * Team upload
  * Replace picocolors component by dependency to new node-picocolors and
    repack

 -- Yadd <yadd@debian.org>  Mon, 03 Jan 2022 14:16:30 +0100

node-browserslist (4.19.1+~cs5.1.2-1) unstable; urgency=medium

  * Team upload
  * New upstream version 4.19.1+~cs5.1.2
  * Update dependencies versions
  * Refresh patch
  * Drop test (needs uvu)

 -- Yadd <yadd@debian.org>  Fri, 24 Dec 2021 06:45:49 +0100

node-browserslist (4.18.1+~cs5.1.2-1) unstable; urgency=medium

  * Team upload
  * Fix filenamemangle
  * Update nodejs dependency to nodejs:any
  * Refresh patch
  * Update dependencies versions
  * Embed component picocolors
  * New upstream version 4.18.1+~cs5.1.2
  * Restore test (jest)
  * Update copyright

 -- Yadd <yadd@debian.org>  Sun, 28 Nov 2021 10:48:06 +0100

node-browserslist (4.17.0+~cs5.6.76-1) unstable; urgency=medium

  * Team upload
  * Declare compliance with policy 4.6.0
  * New upstream version 4.17.0+~cs5.6.76
  * Remove CVE-2021-23364.patch
  * Update colorette build
  * Update minimal versions of node-caniuse-lite and node-electron-to-chromium

 -- Yadd <yadd@debian.org>  Sun, 12 Sep 2021 09:30:26 +0200

node-browserslist (4.16.3+~cs5.4.72-3) unstable; urgency=medium

  * Team upload
  * Add "allow-stderr" to autopkgtest

 -- Yadd <yadd@debian.org>  Sat, 31 Jul 2021 12:27:44 +0200

node-browserslist (4.16.3+~cs5.4.72-2) unstable; urgency=medium

  * Team upload
  * Fix GitHub tags regex
  * Fix ReDoS (Closes: CVE-2021-23364)
  * Add CVE-2021-23364 test

 -- Yadd <yadd@debian.org>  Thu, 29 Apr 2021 20:04:29 +0200

node-browserslist (4.16.3+~cs5.4.72-1) unstable; urgency=medium

  * Team upload
  * New upstream version 4.16.3+~cs5.4.72
  * Update node-caniuse-lite minimal version

 -- Xavier Guimard <yadd@debian.org>  Mon, 01 Feb 2021 10:00:52 +0100

node-browserslist (4.16.1+~cs5.4.71-1) unstable; urgency=medium

  * Team upload
  * New upstream version 4.16.1+~cs5.4.71
  * Update minimal version of node-caniuse-lite and node-electron-to-chromium

 -- Xavier Guimard <yadd@debian.org>  Thu, 07 Jan 2021 09:19:47 +0100

node-browserslist (4.16.0+~cs5.4.69-1) unstable; urgency=medium

  * Team upload
  * New upstream version 4.16.0+~cs5.4.69

 -- Xavier Guimard <yadd@debian.org>  Tue, 15 Dec 2020 08:19:47 +0100

node-browserslist (4.15.0+~cs5.4.69-1) unstable; urgency=medium

  * Team upload
  * Remove @types/browserslist: ts definitions are now included
  * New upstream version 4.15.0+~cs5.4.69
  * Refresh patches
  * Disable test (ts-jest not available)
  * Require:
    + node-electron-to-chromium ≥ 1.3.612~
    + node-caniuse-lite ≥ 1.0.30001164~
  * Add manpage generated by help2man
  * Apply multi-arch hints (foreign)

 -- Xavier Guimard <yadd@debian.org>  Tue, 08 Dec 2020 22:37:43 +0100

node-browserslist (4.14.7+~cs9.12.69-1) unstable; urgency=medium

  * Team upload
  * debian/watch: use ctype
  * Declare compliance with policy 4.5.1
  * New upstream version 4.14.7+~cs9.12.69
    Updates: node-releases 1.1.67
  * Enable upstream test using jest (without tests that requires network or
    fail with autopkgtest only: path problems)

 -- Xavier Guimard <yadd@debian.org>  Mon, 30 Nov 2020 12:29:28 +0100

node-browserslist (4.14.7+~cs9.12.68-1) unstable; urgency=medium

  * Team upload
  * Modernize debian/watch
  * Embed @types/browserslist, colorette and escalade
  * New upstream version 4.14.7+~cs9.12.68
  * Add binary test
  * Update dependency versions

 -- Xavier Guimard <yadd@debian.org>  Thu, 12 Nov 2020 13:29:54 +0100

node-browserslist (4.14.5-1) unstable; urgency=medium

  * Team upload

  [ Pirate Praveen ]
  * Update minimum version of node-caniuse-lite

  [ Xavier Guimard ]
  * Bump debhelper compatibility level to 13
  * Use dh-sequence-nodejs
  * New upstream version 4.14.5
  * Update minimum versions of node-caniuse-lite and node-electron-to-chromium

 -- Xavier Guimard <yadd@debian.org>  Mon, 02 Nov 2020 13:41:01 +0100

node-browserslist (4.12.0-1) unstable; urgency=medium

  * Team upload
  * Embed component: node-releases
  * New upstream version 4.12.0
  * Add a Breaks against node-caniuse-api < 2.0.0-3~

 -- Xavier Guimard <yadd@debian.org>  Mon, 27 Apr 2020 13:48:51 +0200

node-browserslist (2.11.3-2) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * Bump debhelper from deprecated 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Update Vcs-* headers from URL redirect.
  * Use canonical URL in Vcs-Git.

  [ Xavier Guimard ]
  * Declare compliance with policy 4.5.0
  * Use pkg-js-tools auto install
  * Add "Rules-Requires-Root: no"
  * Add debian/gbp.conf
  * Add upstream/metadata

 -- Xavier Guimard <yadd@debian.org>  Mon, 27 Apr 2020 10:18:06 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog node-browserslist`.
